<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('products', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('name_km')->nullable();
            $table->decimal('price', 10, 2);
            $table->decimal('original_price', 10, 2)->default(0);
            $table->string('category');
            $table->text('description')->nullable();
            $table->text('description_km')->nullable();
            $table->string('short_description')->nullable();
            $table->string('short_description_km')->nullable();
            $table->json('color_variants')->nullable();
            $table->json('sizes')->nullable();
            $table->boolean('in_stock')->default(true);
            $table->boolean('on_sale')->default(false);
            $table->json('images')->nullable();
            $table->json('colors')->nullable();
            $table->decimal('rating', 3, 1)->default(0);
            $table->integer('reviews')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('products');
    }
};
